/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global tizen, console, document*/
var OPERATION_ALARM = 'http://tizen.org/appcontrol/operation/alarm';

try {
    var appOperation = tizen
        .application
        .getCurrentApplication()
        .getRequestedAppControl()
        .appControl
        .operation;

    if (appOperation.indexOf(OPERATION_ALARM) !== -1) {
        var mask = document.createElement('div');
        mask.setAttribute('id', 'mask-page');
        document.body.insertBefore(mask, document.body.childNodes[0]);
    }
} catch (e) {
    console.error('Error: ', e.message);
}